SUM2(9)

NAME

sum2 - Sum of two inputs (each with a gain) and an offset

SYNOPSIS

loadrt sum2 [count=N|names=name1[,name2...]]

FUNCTIONS

sum2.N (requires a floating-point thread)

PINS

sum2.N.in0 float in

sum2.N.in1 float in

sum2.N.out float out
    out = in0 * gain0 + in1 * gain1 + offset

PARAMETERS

sum2.N.gain0 float rw (default: 1.0)

sum2.N.gain1 float rw (default: 1.0)

sum2.N.offset float rw

SEE ALSO

scaled_s32_sums(9), weighted_sum(9)

AUTHOR

Jeff Epler

LICENSE

GPL